/**
 * Main container
 */
.confirmation-dialog {
    display: none;
    transform: translateZ(0);

    animation-name: hide-confirmation-dialog;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: hide-confirmation-dialog;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: hide-confirmation-dialog;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: hide-confirmation-dialog;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;
}
.confirmation-dialog.show-dialog {
    display: block;
    transform: translateZ(0);

    animation-name: show-confirmation-dialog;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: show-confirmation-dialog;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: show-confirmation-dialog;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: show-confirmation-dialog;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;

    position: fixed;
    float: left;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #33333363;
    padding-left: 25%;
    padding-top: 15%;
}
.confirmation-dialog .cd-container {
    display: block;
    position: absolute;
    float: left;
    margin: auto;
    width: 50%;
    height: auto;
    padding: 25px;
    background-color: #fff;
}

@keyframes hide-confirmation-dialog {
    0% {
        opacity: 1;
        left: 0px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 0;
        left:-4000px;
    }
}
@-moz-keyframes hide-confirmation-dialog {
    0% {
        opacity: 1;
        left: 0px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 0;
        left:-4000px;
    }
}
@-webkit-keyframes hide-confirmation-dialog {
    0% {
        opacity: 1;
        left: 0px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 0;
        left:-4000px;
    }
}

@keyframes show-confirmation-dialog {
    0% {
        opacity: 0;
        left:-4000px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 1;
        left: 0px;
    }
}
@-moz-keyframes show-confirmation-dialog {
    0% {
        opacity: 0;
        left:-4000px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 1;
        left: 0px;
    }
}
@-webkit-keyframes show-confirmation-dialog {
    0% {
        opacity: 0;
        left:-4000px;
    }
    60% {
        opacity: 0.8;
        left: 100px;
    }
    100% {
        opacity: 1;
        left: 0px;
    }
}

@media(max-width: 992px) {

    .confirmation-dialog.show-dialog {
        padding-top: 25%;
    }
}

@media(max-width: 767px) {

    .confirmation-dialog.show-dialog {
        padding-left: 15%;
        padding-top: 25%;
    }
    .confirmation-dialog .cd-container {
        width: 70%;
    }

}

/**
 * Header, body and footer
 */
.confirmation-dialog .cd-container .cd-header,
.confirmation-dialog .cd-container .cd-body,
.confirmation-dialog .cd-container .cd-footer {
    display: block;
    position: relative;
    float: left;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    text-align: center;
}

/**
 * Header
 */
.confirmation-dialog .cd-container .cd-header {
    margin-top: 40px;
    font-size: 2em;
    font-weight: 600;
    font-family: 'roboto-bold';
}
.confirmation-dialog .cd-container .cd-header .cd-btn-close {
    display: block;
    position: absolute;
    float: right;
    right: 0px;
    top: -40px;
    width: 32px;
    height: 32px;
    cursor: pointer;

    animation-name: unrotate-close-btn;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: unrotate-close-btn;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: unrotate-close-btn;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: unrotate-close-btn;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;
}
.confirmation-dialog .cd-container .cd-header .cd-btn-close:hover {
    animation-name: rotate-close-btn;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: rotate-close-btn;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: rotate-close-btn;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: rotate-close-btn;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;
}

@keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}
@-moz-keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}
@-webkit-keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}

@keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}
@-moz-keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}
@-webkit-keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}

@media(max-width: 767px) {

    .confirmation-dialog .cd-container .cd-header {
        margin-top: 60px;
    }
    .confirmation-dialog .cd-container .cd-header .cd-btn-close {
        top: -60px;
    }
}

/**
 * Body
 */
.confirmation-dialog .cd-container .cd-body {
    padding-top: 20px;
    padding-bottom: 20px;
    font-size: 1em;
    font-weight: 500;
    font-family: 'roboto-light';
}

/**
 * Footer
 */
.confirmation-dialog .cd-container .cd-footer .cd-action-msg {
    display: block;
    position: relative;
    float: left;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    padding-top: 20px;
    padding-bottom: 20px;
}
.confirmation-dialog .cd-container .cd-footer .cd-action-msg small {
    font-size: 0.9em;
    font-weight: 400;
    font-family: 'roboto-light' !important;
}
.confirmation-dialog .cd-container .cd-footer .cancel-btn,
.confirmation-dialog .cd-container .cd-footer .confirm-btn,
.confirmation-dialog .cd-container .cd-footer .cancel-btn:hover,
.confirmation-dialog .cd-container .cd-footer .confirm-btn:hover {
    display: inline-block;
    position: relative;
    top: 0px;
    width: 48%;
    height: auto;
    font-size: 1em;
    font-weight: 600;
    font-family: 'roboto-bold';
    border-radius: 5px;
}
.confirmation-dialog .cd-container .cd-footer .cancel-btn,
.confirmation-dialog .cd-container .cd-footer .confirm-btn {
    animation-name: uncolorize-action-btn;
    animation-duration: 400ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: uncolorize-action-btn;
    -webkit-animation-duration: 400ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: uncolorize-action-btn;
    -moz-animation-duration: 400ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: uncolorize-action-btn;
    -ms-animation-duration: 400ms;
    -ms-animation-fill-mode: forwards;
}
.confirmation-dialog .cd-container .cd-footer .cancel-btn:hover,
.confirmation-dialog .cd-container .cd-footer .confirm-btn:hover {
    animation-name: colorize-action-btn;
    animation-duration: 400ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: colorize-action-btn;
    -webkit-animation-duration: 400ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: colorize-action-btn;
    -moz-animation-duration: 400ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: colorize-action-btn;
    -ms-animation-duration: 400ms;
    -ms-animation-fill-mode: forwards;
}
.confirmation-dialog .cd-container .cd-footer .cancel-btn {
    float: left;
    left: 0px;
}
.confirmation-dialog .cd-container .cd-footer .confirm-btn {
    float: right;
    right: 0px;
}

@keyframes colorize-action-btn {
    from {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
    to {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
}
@-moz-keyframes colorize-action-btn {
    from {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
    to {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
}
@-webkit-keyframes colorize-action-btn {
    from {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
    to {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
}

@keyframes uncolorize-action-btn {
    from {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
    to {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
}
@-moz-keyframes uncolorize-action-btn {
    from {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
    to {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
}
@-webkit-keyframes uncolorize-action-btn {
    from {
        background-color: #333333;
        border: 1px solid #222222;
        color: #ffffff;
    }
    to {
        background-color: #fafafa;
        border: 1px solid #111111;
        color: #333333;
    }
}

@media(max-width: 767px) {

    .confirmation-dialog .cd-container .cd-footer .cancel-btn, .confirmation-dialog .cd-container .cd-footer .cancel-btn:hover, .confirmation-dialog .cd-container .cd-footer .confirm-btn, .confirmation-dialog .cd-container .cd-footer .confirm-btn:hover {
        font-size: 12px;
    }

}